NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::RunSimulationBuilder Class Reference

Represents a NXOpen::Tooling::RunSimulationBuilder to animate the model, analyze the collision and reference. More...

Inheritance diagram for NXOpen::Tooling::RunSimulationBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CollisionCheckOptions { CollisionCheckOptionsFacetBodyDistance, CollisionCheckOptionsMeshTriangleIntersection, CollisionCheckOptionsSolidBodyIntersection }
 Specifies the collision check method. More...
 

Public Member Functions

NXOpen::ExpressionAngleExpression ()
 Returns the angle of the cycle position
Created in NX10.0.0. More...
 
bool CheckCollision ()
 Returns the check collision
Created in NX10.0.0. More...
 
double ClearanceCollision ()
 Returns the clearance value of collision or interference
Created in NX10.0.0. More...
 
NXOpen::Tooling::RunSimulationBuilder::CollisionCheckOptions CollisionCheckOption ()
 Returns the collision check method option
Created in NX11.0.0. More...
 
void CollisionConfiguration ()
 Modify the collision by invoking collision configuration dialog
Created in NX10.0.0. More...
 
void CollisionInformation ()
 List collision changes information in the information window
Created in NX10.0.0. More...
 
void GotoEnd ()
 Run goto end of the simulation
Created in NX10.0.0. More...
 
double GotoRun ()
 Returns the goto run angle stores the position in the cycle
Created in NX10.0.0. More...
 
void GotoStart ()
 Goto the start of the simulation
Created in NX10.0.0. More...
 
bool HighlightCollision ()
 Returns the highlight collision bodies flag
Created in NX10.0.0. More...
 
bool IgnoreTouching ()
 Returns the ignore touching flag
Created in NX10.0.0. More...
 
NXOpen::ExpressionIntervalDimension ()
 Returns the interval value of refresh
Created in NX10.0.0. More...
 
void Next ()
 Next simulation result
Created in NX10.0.0. More...
 
void Play ()
 Play simulation forwards
Created in NX10.0.0. More...
 
void PlayBackwards ()
 Play simulation backwards
Created in NX10.0.0. More...
 
void Previous ()
 Previous simulation result
Created in NX10.0.0. More...
 
void ResetIgnoredCollision ()
 Reset all ignored settings of the collision
Created in NX10.0.0. More...
 
void SetCheckCollision (bool checkCollision)
 Sets the check collision
Created in NX10.0.0. More...
 
void SetClearanceCollision (double clearanceCollision)
 Sets the clearance value of collision or interference
Created in NX10.0.0. More...
 
void SetCollisionCheckOption (NXOpen::Tooling::RunSimulationBuilder::CollisionCheckOptions collisionCheckMethod)
 Sets the collision check method option
Created in NX11.0.0. More...
 
void SetGotoRun (double gotoRun)
 Sets the goto run angle stores the position in the cycle
Created in NX10.0.0. More...
 
void SetHighlightCollision (bool highlightCollision)
 Sets the highlight collision bodies flag
Created in NX10.0.0. More...
 
void SetIgnoreTouching (bool ignoreTouching)
 Sets the ignore touching flag
Created in NX10.0.0. More...
 
void SetStopCheckCollision (bool stopCheckCollision)
 Sets the stop check collision if find next collision
Created in NX10.0.0. More...
 
void Stop ()
 Stop simulation
Created in NX10.0.0. More...
 
bool StopCheckCollision ()
 Returns the stop check collision if find next collision
Created in NX10.0.0. More...
 
NXOpen::ExpressionTimeExpression ()
 Returns the time in the cycle
Created in NX10.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Tooling::RunSimulationBuilder to animate the model, analyze the collision and reference.

NULL is returned
To create a new instance of this class, use NXOpen::Tooling::ProgressiveDieManager::CreateRunSimulationBuilder
Default values.

Property Value

AngleExpression.Value

0

CheckCollision

0

ClearanceCollision

1.0 (millimeters part), 0.04 (inches part)

CollisionCheckOption

MeshTriangleIntersection

GotoRun

0

HighlightCollision

0

IgnoreTouching

0

IntervalDimension.Value

2

StopCheckCollision

0

TimeExpression.Value

0 (millimeters part), 0 (inches part)


Created in NX10.0.0.

Member Enumeration Documentation

Specifies the collision check method.

Enumerator
CollisionCheckOptionsFacetBodyDistance 

Measure facet bodies distance to do collision check.

CollisionCheckOptionsMeshTriangleIntersection 

Mesh facet body, check the mesh triangle intersection or not.

CollisionCheckOptionsSolidBodyIntersection 

Get the solid body, use intersection boolean result to do collision check.

Member Function Documentation

NXOpen::Expression* NXOpen::Tooling::RunSimulationBuilder::AngleExpression ( )

Returns the angle of the cycle position
Created in NX10.0.0.



License requirements : None

bool NXOpen::Tooling::RunSimulationBuilder::CheckCollision ( )

Returns the check collision
Created in NX10.0.0.



License requirements : None

double NXOpen::Tooling::RunSimulationBuilder::ClearanceCollision ( )

Returns the clearance value of collision or interference
Created in NX10.0.0.



License requirements : None

NXOpen::Tooling::RunSimulationBuilder::CollisionCheckOptions NXOpen::Tooling::RunSimulationBuilder::CollisionCheckOption ( )

Returns the collision check method option
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::RunSimulationBuilder::CollisionConfiguration ( )

Modify the collision by invoking collision configuration dialog
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::RunSimulationBuilder::CollisionInformation ( )

List collision changes information in the information window
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::RunSimulationBuilder::GotoEnd ( )

Run goto end of the simulation
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

double NXOpen::Tooling::RunSimulationBuilder::GotoRun ( )

Returns the goto run angle stores the position in the cycle
Created in NX10.0.0.



License requirements : None

void NXOpen::Tooling::RunSimulationBuilder::GotoStart ( )

Goto the start of the simulation
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

bool NXOpen::Tooling::RunSimulationBuilder::HighlightCollision ( )

Returns the highlight collision bodies flag
Created in NX10.0.0.



License requirements : None

bool NXOpen::Tooling::RunSimulationBuilder::IgnoreTouching ( )

Returns the ignore touching flag
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::RunSimulationBuilder::IntervalDimension ( )

Returns the interval value of refresh
Created in NX10.0.0.



License requirements : None

void NXOpen::Tooling::RunSimulationBuilder::Next ( )

Next simulation result
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::RunSimulationBuilder::Play ( )

Play simulation forwards
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::RunSimulationBuilder::PlayBackwards ( )

Play simulation backwards
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::RunSimulationBuilder::Previous ( )

Previous simulation result
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::RunSimulationBuilder::ResetIgnoredCollision ( )

Reset all ignored settings of the collision
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::RunSimulationBuilder::SetCheckCollision ( bool  checkCollision)

Sets the check collision
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
checkCollisioncheckcollision
void NXOpen::Tooling::RunSimulationBuilder::SetClearanceCollision ( double  clearanceCollision)

Sets the clearance value of collision or interference
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
clearanceCollisionclearancecollision
void NXOpen::Tooling::RunSimulationBuilder::SetCollisionCheckOption ( NXOpen::Tooling::RunSimulationBuilder::CollisionCheckOptions  collisionCheckMethod)

Sets the collision check method option
Created in NX11.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
collisionCheckMethodcollisioncheckmethod
void NXOpen::Tooling::RunSimulationBuilder::SetGotoRun ( double  gotoRun)

Sets the goto run angle stores the position in the cycle
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
gotoRungotorun
void NXOpen::Tooling::RunSimulationBuilder::SetHighlightCollision ( bool  highlightCollision)

Sets the highlight collision bodies flag
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
highlightCollisionhighlightcollision
void NXOpen::Tooling::RunSimulationBuilder::SetIgnoreTouching ( bool  ignoreTouching)

Sets the ignore touching flag
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
ignoreTouchingignoretouching
void NXOpen::Tooling::RunSimulationBuilder::SetStopCheckCollision ( bool  stopCheckCollision)

Sets the stop check collision if find next collision
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
stopCheckCollisionstopcheckcollision
void NXOpen::Tooling::RunSimulationBuilder::Stop ( )

Stop simulation
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

bool NXOpen::Tooling::RunSimulationBuilder::StopCheckCollision ( )

Returns the stop check collision if find next collision
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::RunSimulationBuilder::TimeExpression ( )

Returns the time in the cycle
Created in NX10.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.